PipeWire 1.2.6

Loading...
Searching...
No Matches
Data Fields
pw_memmap Struct Reference
Utilities » Memory Blocks

a mapped region of a pw_memblock More...

`#include <pipewire/mem.h>`

## Data Fields
struct pw_memblock * | block
| owner memblock
void * | ptr
| mapped pointer
uint32_t | flags
| flags for the mapping on of enum pw_memmap_flags
uint32_t | offset
| offset in memblock
uint32_t | size
| size in memblock
uint32_t | tag [5]
| user tag

## Detailed Description

a mapped region of a pw_memblock

## Field Documentation

## ◆ block

struct pw_memblock* pw_memmap::block

owner memblock

## ◆ ptr

void* pw_memmap::ptr

mapped pointer

## ◆ flags

uint32_t pw_memmap::flags

flags for the mapping on of enum pw_memmap_flags

## ◆ offset

uint32_t pw_memmap::offset

offset in memblock

## ◆ size

uint32_t pw_memmap::size

size in memblock

## ◆ tag

uint32_t pw_memmap::tag[5]

user tag

The documentation for this struct was generated from the following file:

- pipewire/mem.h